<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 16/08/2017 19:42
OBS.: ATUALIZAÇÃO DE NOVA ESTRUTURA E REVISÃO
*/
?>
        <footer class="footer" style="padding: 12px; background-color: <?php echo $CorRodape;?>">
        <div class="pull-right hidden-xs">
          <b>Versão</b> 3.0
        </div>
        <strong>Copyright &copy; <?php echo date('Y');?>.<a href="http://www.k88.com.br" target="_blank"> K88 </a>.</strong> Todos os Direitos Reservados.
      </footer>

    </div><!-- ./wrapper -->
   
<!-- SCRIPTS PRINCIPAIS -->
<script type="text/javascript">
$(function () {

$("#example1").dataTable({
"iDisplayLength": 100,
aaSorting: [],    
"bSort": true,
responsive: true,          
dom: 'lBfrtip',
buttons: [
'excel', 'pdf'
],        

"lengthChange": true,

//"order": [[ 0, "desc" ]],
/*
"language":{            
"emptyTable":     "Nenhum registro cadastrado",
"info": "Exibindo _PAGE_ de _PAGES_",
"infoEmpty": "Nenhum registro listado",
"infoFiltered": "(filtro de _MAX_ total de registro)",            
"thousands":      ",",
"lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
"loadingRecords": "Carregando...",
"processing":     "Processando...",
"search":         "Filtrar tabela:",
"zeroRecords": "Desculpe nenhum registro não encontrado",
"paginate": {
"first":      "Primeiro",
"last":       "Ultimo",
"next":       "Próximo",
"previous":   "Anterior"
},
"aria": {
"sortAscending":  ": Ativo Filtro ASC",
"sortDescending": ": Ativo Filtro DESC"
}
}
*/
});

$("#fluxo_caixa").dataTable({
"iDisplayLength": 300,
"bSort": true,
responsive: true,          
dom: 'lBfrtip',
buttons: [
'excel', 'pdf'
],        

"lengthChange": true,

"order": [[ 0, "asc" ]],

"language":{            
"emptyTable":     "Nenhum registro cadastrado",
"info": "Exibindo _PAGE_ de _PAGES_",
"infoEmpty": "Nenhum registro listado",
"infoFiltered": "(filtro de _MAX_ total de registro)",            
"thousands":      ",",
"lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
"loadingRecords": "Carregando...",
"processing":     "Processando...",
"search":         "Filtrar tabela:",
"zeroRecords": "Desculpe nenhum registro não encontrado",
"paginate": {
"first":      "Primeiro",
"last":       "Ultimo",
"next":       "Próximo",
"previous":   "Anterior"
},
"aria": {
"sortAscending":  ": Ativo Filtro ASC",
"sortDescending": ": Ativo Filtro DESC"
}
}

});			

$("#tabela_compras").dataTable();

$("#produtos_vendidos").dataTable({
"bSort": true,
//"aaSorting": [[1,'asc']]
"bPaginate": false,
"bLengthChange": true,
"bFilter": true,
"bSort": false,
"bInfo": false,
"bAutoWidth": false,

"iDisplayLength": 100,
dom: 'Bfrtip',
buttons: [
'excel', 'pdf', 'print'
]			  

}
);

$("#tabela_produto").dataTable({
"bSort": true,
"aaSorting": [[3,'desc']],

"iDisplayLength": 100,
dom: 'Bfrtip',
buttons: [
'excel', 'pdf', 'print'
]		  
}
);

$("#tabela_k88").dataTable({
"bSort": true,
"aaSorting": [[5,'asc']],

"iDisplayLength": 100,
dom: 'Bfrtip',
buttons: [
'excel', 'pdf', 'print'
]			  

}
);

$("#tabela_log").dataTable({
"bSort": true,
"aaSorting": [[5,'asc']],

"iDisplayLength": 100,
dom: 'Bfrtip',
buttons: [
'excel', 'pdf', 'print'
]	

}
);	

$('#tabela_obra').DataTable( {


dom: 'lBfrtip',
buttons: [
'excel', 'pdf'
],        

"lengthChange": true,
"pageLength": 50,

"order": [[ 0, "asc" ]],

"language":{            
"emptyTable":     "Nenhum registro cadastrado",
"info": "Exibindo _PAGE_ de _PAGES_",
"infoEmpty": "Nenhum registro listado",
"infoFiltered": "(filtro de _MAX_ total de registro)",            
"thousands":      ",",
"lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
"loadingRecords": "Carregando...",
"processing":     "Processando...",
"search":         "Filtrar tabela:",
"zeroRecords": "Desculpe nenhum registro não encontrado",
"paginate": {
"first":      "Primeiro",
"last":       "Ultimo",
"next":       "Próximo",
"previous":   "Anterior"
},
"aria": {
"sortAscending":  ": Ativo Filtro ASC",
"sortDescending": ": Ativo Filtro DESC"
}
}        

} );

$('#tabela_padrao').DataTable( {

"bSort": false,
responsive: true,          
dom: 'lBfrtip',
buttons: [
'excel', 'pdf'
],        

"lengthChange": true,

"order": [[ 0, "desc" ]],

"language":{            
"emptyTable":     "Nenhum registro cadastrado",
"info": "Exibindo _PAGE_ de _PAGES_",
"infoEmpty": "Nenhum registro listado",
"infoFiltered": "(filtro de _MAX_ total de registro)",            
"thousands":      ",",
"lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
"loadingRecords": "Carregando...",
"processing":     "Processando...",
"search":         "Filtrar tabela:",
"zeroRecords": "Desculpe nenhum registro não encontrado",
"paginate": {
"first":      "Primeiro",
"last":       "Ultimo",
"next":       "Próximo",
"previous":   "Anterior"
},
"aria": {
"sortAscending":  ": Ativo Filtro ASC",
"sortDescending": ": Ativo Filtro DESC"
}
}        

} );          


$('#tabela_venda').DataTable( {


dom: 'lBfrtip',
buttons: [
'excel', 'pdf'
],        

"lengthChange": true,

"order": [[ 8, "desc" ]],

"language":{            
"emptyTable":     "Nenhum registro cadastrado",
"info": "Exibindo _PAGE_ de _PAGES_",
"infoEmpty": "Nenhum registro listado",
"infoFiltered": "(filtro de _MAX_ total de registro)",            
"thousands":      ",",
"lengthMenu": "Exibindo _MENU_ registros por pagina, Exporte para : &nbsp;&nbsp;",
"loadingRecords": "Carregando...",
"processing":     "Processando...",
"search":         "Filtrar tabela:",
"zeroRecords": "Desculpe nenhum registro não encontrado",
"paginate": {
"first":      "Primeiro",
"last":       "Ultimo",
"next":       "Próximo",
"previous":   "Anterior"
},
"aria": {
"sortAscending":  ": Ativo Filtro ASC",
"sortDescending": ": Ativo Filtro DESC"
}
}        

} );


$('#example2').dataTable({
"bPaginate": true,
"bLengthChange": true,
"bFilter": true,
"bSort": true,
"bInfo": true,
"bAutoWidth": false,

"iDisplayLength": 100,
dom: 'Bfrtip',
buttons: [
'excel', 'pdf', 'print'
]			

});

});
    
</script>

<script type="text/javascript">
function MM_jumpMenu(targ,selObj,restore){ //v3.0
eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
if (restore) selObj.selectedIndex=0;
}
	
	
function VerificaCampoIDAutocomplete(campoid, campoautocomplete){
if(document.getElementById(campoid).value.length < 1){
alert('Por favor, selecione uma opção no autocomplete do campo: ' + campoautocomplete);
document.getElementById(campoautocomplete).value='';
document.getElementById(campoautocomplete).focus();
return false
}
}
	
</script> 

<?php if($usascript == "sim"){ ?>     
<script>
//AÇÕES

function EnviarFormulario(formulario)
{
decisao = confirm("Você deseja realmente Salvar o Alterar o Registro?");
if (decisao){
document.getElementById(formulario).submit();
} else {

}  
}

function ExcluiRegistro(url)
{

decisao = confirm("Você deseja realmente Excluir esse Registro?");
if (decisao){
window.location.href = url;
} else {
}  
}

function AlterarRegistro(url)
{

decisao = confirm("Você deseja realmente Alterar esse Registro?");
if (decisao){
window.location.href = url;
} else {
}  
}	  


</script>

<!--CEP -->
<!-- Adicionando Javascript -->
<script type="text/javascript" >

$(document).ready(function() {

function limpa_formulário_cep() {
// Limpa valores do formulário de cep.
$("#endereco").val("");
$("#bairro").val("");
$("#cidade").val("");
$("#uf").val("");
}

//Quando o campo cep perde o foco.
$("#cep").blur(function() {

//Nova variável "cep" somente com dígitos.
var cep = $(this).val().replace(/\D/g, '');

//Verifica se campo cep possui valor informado.
if (cep != "") {

//Expressão regular para validar o CEP.
var validacep = /^[0-9]{8}$/;

//Valida o formato do CEP.
if(validacep.test(cep)) {

//Preenche os campos com "..." enquanto consulta webservice.
$("#endereco").val("...");
$("#bairro").val("...");
$("#cidade").val("...");
$("#uf").val("...");

//Consulta o webservice viacep.com.br/
$.getJSON("//viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {

if (!("erro" in dados)) {
//Atualiza os campos com os valores da consulta.
$("#endereco").val(dados.logradouro);
$("#bairro").val(dados.bairro);
$("#cidade").val(dados.localidade);
$("#uf").val(dados.uf);
} //end if.
else {
//CEP pesquisado não foi encontrado.
limpa_formulário_cep();
alert("CEP não encontrado.");
}
});
} //end if.
else {
//cep é inválido.
limpa_formulário_cep();
alert("Formato de CEP inválido.");
}
} //end if.
else {
//cep sem valor, limpa formulário.
limpa_formulário_cep();
}
});
});

</script>    
<!-- MASCARAS SISTEMA -->

<script>
jQuery(function($){
$("#cnpj").mask("99.999.999/9999-99");
$("#cpf").mask("999.999.999-99");
$("#rg").mask("99.999.999-9");
$("#cep").mask("99999-999");
$("#telefone").mask("(99) 9999-9999");
$("#telefone2").mask("(99) 9999-9999");
$("#Fone1").mask("(99) 9999-9999");
$("#Fone2").mask("(99) 9999-9999");      
$("#celular").mask("(99) 99999-9999");
$("#celular2").mask("(99) 99999-9999");  
$("#Fone3").mask("(99) 99999-9999");
$("#Fone4").mask("(99) 99999-9999");      
});
</script> 

<script type="text/javascript">
$(function() {
$("#valor_conta").maskMoney({
thousands: '',
decimal: ',',
symbolStay: true
});

$("#valor").maskMoney({
thousands: '',
decimal: ',',
symbolStay: true
});		
})

</script> 
<?php }?>

<script src="<?php echo $DiretorioVirtual;?>/js/chosen1.8/chosen.jquery.js" type="text/javascript"></script>
<script src="<?php echo $DiretorioVirtual;?>/js/chosen1.8/docsupport/init.js" type="text/javascript" charset="utf-8"></script>
 
  </body>
</html>